Bug 1874901

Summary: add utm_source parameter to Red Hat Marketplace URLs for attribution
Product: OpenShift Container Platform Reporter: Rob Szumski <rszumski>
Component: Management ConsoleAssignee: Jakub Hadvig <jhadvig>
Status: CLOSED ERRATA QA Contact: Siva Reddy <schituku>
Severity: low Docs Contact:
Priority: unspecified    
Version: 4.6CC: aos-bugs, jokerman, spadgett, yanpzhan
Target Milestone: ---   
Target Release: 4.7.0   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Cause: Missing utm_source parameter to Red Hat Marketplace URLs for attribution. Consequence: Lack of url parameter on the Marketplace items Fix: Add missing utm_source parameter to Red Hat Marketplace URLs for attribution Result: Marketplace parameters are at place
Story Points: ---
Clone Of: Environment:
Last Closed: 2021-02-24 15:17:02 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Attachments:
Description Flags
The market place url with utm source none

Description Rob Szumski 2020-09-02 14:32:22 UTC
Description of problem:
Links from OperatorHub to Red Hat Marketplace aren't attributed as coming from the OCP Console. This is used to power some workflows connecting the two properties.

Version-Release number of selected component (if applicable):
4.4+

How reproducible:
Browse to OperatorHub, select an of the Marketplace items, and hover over the "Install" button to observe the lack of url parameter.

Comment 3 Siva Reddy 2020-10-14 21:40:42 UTC
The market place links now show utm_source=openshift_console parameter in the URL.

Version:
 4.7.0-0.nightly-2020-10-14-101154

Steps to verify:
 1. Login to web console as cluster admin
 2. Navigate to PageSideBar>Operators>Operators Hub
    and from the provider type check Market place
 3. Click on one of the operator tiles that are listed with a market place label on them
 4. On the Operator detail modal, hover over the purchase button and note that
    the url will direct the user to market place and has a utm_source=openshift_console parameter
for example:
https://marketplace.redhat.com/en-us/operators/anaconda-team-edition-rhmp/pricing?utm_source=openshift_console

screenshot attached.

Comment 4 Siva Reddy 2020-10-14 21:45:34 UTC
Created attachment 1721611 [details]
The market place url with utm source

Comment 7 errata-xmlrpc 2021-02-24 15:17:02 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633